Subject: RE: bug#5180: 23.1.90; Secondary selection and M-w

From: "Drew Adams" <[email-masked]>
Date: Fri, 11 Dec 2009 07:53:40 -0800

I never noticed it before, but I can confirm that it happens, but only if the
the Meta key is pressed before releasing the mouse button.

> If often use mouse to select a piece of text and then hit M-w to copy
> it. However, this is frequently hijacked by mouse-drag-secondary.
> 
> To reproduce:
> 1. Drag the mouse to select some text
> 2. Stop dragging and (after a short delay) hit the Meta (as 
> in M-w) key
> 
> The region will be turned into a secondary selection defeating the
> effect of M-w, for example.
> 
> I have found this annoying and I wonder how to fix it without 
> disabling all secondary selection bindings.